﻿/*#region public*/
body, html {
    height: 100%;
    overflow: hidden; /* از اسکرول کل صفحه جلوگیری کنید */
}

.body {
    display: flex;
    flex-direction: column;
    height: 100%;
}
#header-category, #footer,.fl-shrink-0 {
    flex-shrink: 0; /* Prevent shrinking */
}
#content-category {
    display: flex;
    flex: 1;
    overflow: hidden;
}
.categories {
    overflow-y: scroll; /* اسکرول فعال ولی مخفی */
    scrollbar-width: none; /* مخفی کردن اسکرول در فایرفاکس */
    -ms-overflow-style: none; /* مخفی کردن اسکرول در اینترنت اکسپلورر */
}
    .categories::-webkit-scrollbar {
        display: none; /* مخفی کردن اسکرول در کروم، سافاری و اج */
    }
.main-content {
    flex: 1;
    display: flex;
    overflow: hidden; /* جلوگیری از اسکرول کل main-content */
}
.products, .content {
    overflow-y: auto; /* اگر نیاز به اسکرول در بخش محصولات باشد */
}

.content-category {
    border-radius: 7px;
    padding: 12px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
    height: fit-content;
}
.scroll-down-btn {
    display: none;
    position: sticky;
    bottom: 0;
    left: 0;
    padding: 4px 15px;
    background-color: white;
    color: var(--dark);
    border: none;
    border-radius: 0;
    cursor: pointer;
    z-index: 10;
    width: 100%;
}

    .scroll-down-btn:hover {
        background-color: var(--gray3-t);
    }
    /*#endregion public*/

/*#region category*/
.title-page > div {
    font-size: 1.2em;
    border: 2px solid white;
    padding: 10px;
    border-radius: 7px;
    height: 30px;
    width: 30px;
    margin-left: 15px;
}

.title-page > h2 {
    font-size: 1.2em;
    font-weight: bold;
    margin:0;
}

.category-items li {
    width: 100%;
    border-right: 3px solid white;
}

    .category-items li.active-category {
        border-color: var(--blue2-t);
    }

    .category-items li a {
        background-color: white;
        padding: 10px 5px;
        border-bottom: 1px solid var(--gray-dark2);
    }

        .category-items li a > div {
            width: 60px;
            height: 60px;
            margin-bottom: 2px;
            border-radius: 7px;
            background-color: var(--gray4-t);
        }

        .category-items li a img {
            border-radius: 7px;
            width: 100%;
            height: 100%;
            border: 1px solid var(--gray-color);
        }

        .category-items li a > label {
            font-size: 0.85em;
            text-align: center;
            line-height: 15px;
        }


    .content-category p {
        color: var(--blue2-t);
        text-align: left;
        border-bottom: 2px solid var(--gray2-t);
        padding-bottom: 10px;
    }

    .content-category .sub-category-items li {
        width: 30%;
        margin-left: 1.5%;
        margin-bottom: 7px;
        margin-right:1.5%;
    }
        .content-category .sub-category-items li a
        {
            width:100%;
            overflow:hidden;
        }
        .content-category .sub-category-items li a > div {
            width: 60px;
            height: 60px;
            margin-bottom: 2px;
            border-radius: 7px;
            background-color: var(--gray4-t);
        }

        .content-category .sub-category-items li a > label {
            color: var(--gray5-t);
            font-size: 0.7em;
            text-align:center;
            line-height:15px;
        }
/*#endregion category*/

/*#region contact*/
.ul-contact li {
    border-bottom: 1px solid var(--gray-5);
    padding: 8px;
    color: var(--gray-5);
    font-size: 0.9em;
}
.ul-contact li:last-child {
    border-bottom: 0px;

}
.ul-contact li label
{
    margin-left:5px;
}
.contact-info>label
{
    font-size:1.1em;
}
.contact-btn label
{
    font-size:1.3em;
    cursor:pointer;
}
/*#endregion contact*/

/*#region sort*/
.sort-container {
    position: relative;
}

.sort-button {
    width: 100%;
    padding: 10px;
    background-color: transparent;
    border: 0;
    text-align: center;
    cursor: pointer;
}

.sort-modal {
    position: fixed;
    bottom: 60px;
    left: 0;
    right: 0;
    background-color: white;
    border-top: 1px solid var(--gray-light2);
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
    display: none;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    transform: translateY(100%);
    transition: transform 0.3s ease;
    z-index:1;
}

    .sort-modal ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .sort-modal li {
        padding: 7px;
        border-bottom: 1px solid #ddd;
        text-align: right;
        cursor: pointer;
        color: var(--gray-dark2);
        font-size: 0.8em;
        position: relative;
    }

        .sort-modal li:hover {
            background-color: #f5f5f5;
        }

    .sort-modal.show {
        display: block;
        transform: translateY(0);
    }
    /* استایل تیک کنار آیتم فعال */
    .sort-modal li.active::after {
        content: "✔"; /* تیک */
        color: var(--gray-dark2);
        font-size: 16px;
        position: absolute;
        left: 10px; /* فاصله از سمت راست */
        top: 50%;
        transform: translateY(-50%);
    }
/*#endregion sort*/

/*#region advanced-search*/
/* مودال جستجوی پیشرفته */
.advanced-search-modal {
    position: fixed;
    bottom: 60px;
    left: 0;
    right: 0;
    background-color: white;
    border-top: 1px solid var(--gray-light2);
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
    display: none;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    transform: translateY(100%);
    transition: transform 0.3s ease;
    z-index: 1;
}
    .advanced-search-modal .modal-inner {
        max-height: calc(100vh - 200px); /* ارتفاع مودال حداکثر تا این مقدار باشد */
        overflow-y: auto; /* فعال کردن اسکرول عمودی */
    }
.advanced-search-button {
    width: 100%;
    padding: 10px;
    background-color: transparent;
    border: 0;
    text-align: center;
    cursor: pointer;
}

.advanced-search-modal.show {
    display: block;
    transform: translateY(0);
}


.close-search-modal {
    background: none;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

/* فرم فیلترها */

/*#endregion advanced-search*/

.content-category {
    display: none;
}

    .content-category.active {
        display: block;
    }

    /*--------------------mobile-modal------------------*/

.mobile-modal {
    position: fixed;
    inset: 0;
    z-index: 9999;
}

.mobile-modal.hidden {
    display: none;
}

.mobile-modal-backdrop {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.5);
}

.mobile-modal-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: #fff;
    max-height: 90vh;
    overflow-y: auto;
    border-radius: 18px 18px 0 0;
    animation: slideUp .3s ease;
}

@keyframes slideUp {
    from {
        transform: translateY(100%);
    }

    to {
        transform: translateY(0);
    }
}

.modal-header {
    padding: 12px 16px;
    border-bottom: 1px solid #eee;
}

/*--------------------footer links-------------------------*/
